> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List game items for an account offer

> Retrieve all game items (champions, skins, etc.) associated with this account offer grouped by collection type.



## OpenAPI

````yaml /api/openapi.json get /v2/account-offers/{account}/game-items
openapi: 3.1.0
info:
  title: GameBoost
  version: 2.0.0
servers:
  - url: https://api.gameboost.com
    description: GameBoost API
security:
  - BearerTokenSecurityScheme: []
tags:
  - name: Games
    description: Games
  - name: Seller Breaks
    description: Seller Breaks
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: Account Offers
    description: Account Offers
  - name: Account Orders
    description: Account Orders
  - name: Item Offers
    description: Item Offers
  - name: Item Orders
    description: Item Orders
  - name: Currency Offers
    description: Currency Offers
  - name: Currency Orders
    description: Currency Orders
  - name: Webhooks
    description: Webhook events sent to your endpoints when specific actions occur
  - name: Gift Card Offers
    description: Gift Card Offers
  - name: Gift Card Orders
    description: Gift Card Orders
paths:
  /v2/account-offers/{account}/game-items:
    get:
      tags:
        - Account Offers
      summary: List game items for an account offer
      description: >-
        Retrieve all game items (champions, skins, etc.) associated with this
        account offer grouped by collection type.
      parameters:
        - name: account
          in: path
          description: >-
            The ID of the account offer. Can be retrieved from the list of
            account offers.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Game items associated with the account offer grouped by collection
          content:
            application/json:
              schema:
                description: >-
                  Game items grouped by collection slug (e.g., champions, skins,
                  roles)
                type: object
                additionalProperties:
                  type: array
                  items:
                    $ref: '#/components/schemas/GameItem'
                example:
                  champions:
                    - id: 1
                      name: Aatrox
                      slug: lol-aatrox
                      icon_url: >-
                        https://ddragon.leagueoflegends.com/cdn/15.15.1/img/champion/Aatrox.png
                  skins:
                    - id: 182
                      name: Academy Ahri
                      slug: lol-academy-ahri
                      icon_url: >-
                        https://ddragon.leagueoflegends.com/cdn/img/champion/loading/Ahri_6.jpg
        '401':
          $ref: '#/components/responses/ErrorUnauthenticated'
        '403':
          $ref: '#/components/responses/ErrorForbidden'
        '404':
          $ref: '#/components/responses/ErrorNotFound'
        '429':
          $ref: '#/components/responses/ErrorRateLimited'
      security:
        - BearerToken: []
components:
  schemas:
    GameItem:
      description: Game item object representing an in-game item that can be traded
      type: object
      properties:
        id:
          description: Unique identifier for the game item
          type: integer
        name:
          description: Display name of the item
          type: string
        slug:
          description: URL-friendly identifier for the item
          type: string
        item_data:
          description: Additional game-specific item data and attributes
          type: object
          nullable: true
        parent_id:
          description: >-
            ID of the parent item if this is a variant (e.g., different skin
            colors)
          type: integer
          nullable: true
        variant_type:
          description: Type classification of the variant
          type: string
          nullable: true
        variant_name:
          description: Display name for this specific variant
          type: string
          nullable: true
        has_variants:
          description: Indicates if this item has multiple variants available
          type: boolean
          nullable: true
        is_variant:
          description: Indicates if this item is a variant of another item
          type: boolean
          nullable: true
        icon_url:
          description: URL to the item icon image for light mode
          type: string
          nullable: true
        icon_dark_url:
          description: URL to the item icon image for dark mode
          type: string
          nullable: true
  responses:
    ErrorUnauthenticated:
      description: >-
        User is not authenticated, happens when the API key is missing, expired
        or invalid
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthenticated.
    ErrorForbidden:
      description: >-
        User is not authorized to perform this action, happens when you try to
        access a resource you do not have permission to access
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: This action is unauthorized.
    ErrorNotFound:
      description: Resource not found, happens when the requested resource does not exist
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Resource not found.
    ErrorRateLimited:
      description: >-
        Rate limit exceeded, happens when you exceed the rate limit for the
        endpoint
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Too many requests.
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````